--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--          PROCEDURE DADJONCTION A LA RACINE              --
--      DANS UN ARBRE BINAIRE DE RECHERCHE POINTES          --
--                                                          --
-- Note: cest une unite enfant des arbres binaires de      --
--    recherche                                             --
-- preconditions                                            --
--    Ajouter_Racine (Dans, Val): La_Cle(Val) nappartient  --
--        pas a Dans                                        --
-- proprietes fonctionnelles                                --
--    Ajouter_Racine (Dans, Val) reconstruit larbre autour --
--        dun nouveau noeud racine comme contenu Val       --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

generic
procedure Arbres_Binaires.De_Recherche.Ajouter_Racine 
                    (Dans : in out Arbre_Rech; Val : in Element); 
