--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--    PAQUETAGE DES EXCEPTIONS UTILISEES DANS LES MODULES   --
--                                                          --
-- Erreur_Specification est levee lorsque les arguments     --
--     dune operation sont en dehors des preconditions     --
-- Limite_Implantation est levee lorsque les contraintes    --
--     dimplantation ne permettent pas lexecution de      --
--     loperation                                          --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997-- 
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

package Erreurs_Types_Abstraits is
  Erreur_Specification : exception;
  Limite_Implantation : exception;
end Erreurs_Types_Abstraits;
