--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--       PROCEDURE DE FUSION DE DEUX LISTES CHAINEES        --
--                                                          --
-- propriete fonctionnelle                                  --
--    fusion (l1, l2) =                                     --
--        si l1 = listevide ou l2 = listevide alors l1 & l2 --
--        sinsi premier(l1) < premier(l2) alors             --
--            premier(l1) :: fusion (fin(l1), l2)           --
--        sinon                                             --
--            premier(l2) :: fusion (l1, fin(l2))           --
--        fsi                                               --
--                                                          --
-- note: si l1 et l2 sont triees, le resultat est trie.     --
--    Dans limplantation, la liste L3 contiendra tous les  --
--    elements provenant de L1 et de L2, et les listes L1   --
--    et L2 seront vides  la fin                           --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

generic
  with function "<"(U, V:in Element)return Boolean is <>;
procedure Listes_Chainees.Fusion (L1, L2, L3 : in out Liste);
