--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--               CORPS DE LA PROCEDURE DE                   --
--            RENVERSEMENT D'UNE LISTE CHAINEE              --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

procedure Listes_Chainees.Renverser(La_Liste: in out Liste) is
  P : Pt_Place := null;		-- la liste l', initialement vide
  Q : Pt_Place;							   -- variable locale
begin
  if Longueur (La_Liste) = 0 then return; end if;
  while La_Liste.Tete /= null loop
	Q := La_Liste.Tete;
	La_Liste.Tete := La_Liste.Tete.Suivant;-- passer  fin (l)
	Q.Suivant := P;
	P := Q;						-- l' := premier(l) :: l'
	if Q = La_Liste.Courant then
	   La_Liste.Precedant := La_Liste.Tete;
	end if;							 -- nouveau prcdant
  end loop;
  La_Liste.Tete := P;						   -- le rsultat
end Listes_Chainees.Renverser;
