--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--    CORPS DE LA PROCEDURE UNIQUE SUR UNE LISTE CHAINEE    --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

procedure Listes_Chainees.Unique (L : in out Liste) is
  P, Q, R : Pt_Place;
begin
  P := L.Tete;
  while P /= null loop
    Q := P;
    while Q.Suivant /= null loop
      if P.Contenu = Q.Suivant.Contenu then
        R := Q.Suivant;
        Q.Suivant := R.Suivant;
        Liberer (R);
        L.Longueur := L.Longueur - 1;
      else Q := Q.Suivant;
      end if;
    end loop;
    P := P.Suivant;
  end loop;
  L.Courant := L.Tete;
  L.Precedant := null;
end Listes_Chainees.Unique;
