--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--         CORPS DE LA PROCEDURE DE RENVERSEMENT            --
--                  DES LISTES CONTIGUES                    --
--        enfant du PAQUETAGE DES LISTES CONTIGUES          --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

procedure Listes_Contigues.Renverser(La_Liste:in out Liste) is
  Milieu : Natural := La_Liste.Longueur / 2;
  V : Element;	  -- variable locale pour faire la permutation
begin
  for I in 1 .. Milieu loop
    V := La_Liste.Ieme (La_Liste.Longueur - I + 1);
    La_Liste.Ieme(La_Liste.Longueur-I+1) := La_Liste.Ieme(I);
    La_Liste.Ieme (I) := V;
  end loop;
end Listes_Contigues.Renverser;
