--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--            SPECIFICATION DE LA PROCEDURE DE              --
--                TRI DUNE LISTE CONTIGUE                  --
--                                                          --
-- proprietes fonctionnelles                                --
--    est-triee(l) = si l = listevide alors vrai            --
--        sinon soit l = e::l';                             --
--              e <= premier(l') et est-trie(l') fsi       --
--    appartient(e, l) = si estvide (l) alors faux          --
--        sinon e = premier(l) ou appartient(e, fin(l) fsi  --
--    est-permut(l, l') = si estvide (l) alors estvide(l')  --
--        sinsi not appartient(premier(l), l') alors faux   --
--        sinon soit l' = l1 & [premier(l)] & l2;           --
--              est-permut (fin(l), l1 & l2) fsi            --
--    est_permut (l, Tri (l)) et est-triee(Tri(l))          --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

generic
  with function "<"(U,V:in Element)return Boolean is <>;
procedure Listes_Contigues.Tri_Liste (La_Liste: in out Liste);
