--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--               PROCEDURE DE REEQUILIBRAGE                 --
--         D'UN ARBRE BINAIRE DE RECHERCHE POINTE           --
--                                                          --
-- Note: cest une unite enfant des arbres binaires de      --
--    recherche                                             --
-- proprietes fonctionnelles                                --
--    Reequilibrer (L_Arbre) reconstruit larbre de telle   --
--        sorte que pour tout sous-arbre a, on ait:         --
--        |h(g(a)) - h(d(a))| <= 1                          --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

generic
procedure Arbres_Binaires.De_Recherche.Reequilibrer 
                                     (L_Arbre: in out Arbre_Rech);
