--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--       PROCEDURE D'ADJONCTION DANS UN FICHIER BALANCE     --
--                                                          --
-- preconditions                                            --
--    Ajouter (File, Val): il ne doit pas exister dans le   --
--        fichier un element ayant pour cle La_Cle(Val)     --
-- proprietes fonctionnelles                                --
--    Ajouter (File, Val) ajoute l'element Val au fichier,  --
--        le fichier est positionne ensuite sur cet element --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

generic
procedure Balance_IO.Ajouter (File : in out File_Type; 
                               Val : in Element);
