--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--         PROCEDURE UNIQUE SUR UNE LISTE CHAINEE           --
--                                                          --
-- propriete fonctionnelle                                  --
--    unique (l) =                                          --
--        si l = listevide alors l                          --
--        sinsi l = [e] alors l                             --
--        sinon soit l = e :: l1;                           --
--            si e non dans l1 alors e :: unique (l1)       --
--            sinon soit l1 = l2 & [e] & l3;                --
--                unique (e :: (l2 & l3))                   --
--            fsi                                           --
--        fsi                                               --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

generic
procedure Listes_Chainees.Unique (L : in out Liste);
