--------------------------------------------------------------
--                                                          --
--            MODULE DE STRUCTURES DE DONNEES               --
--                                                          --
--                CORPS DE LA PROCEDURE DE                  --
--       RECHERCHE DANS UNE TABLE DE VALEURS ORDONNEES      --
--               (implantation sequentielle)                --
--                                                          --
-- Auteur: Christian CARREZ,                                --
-- Structures de donnees en Java, C++ et Ada 95, Dunod, 1997--
-- Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   --
-- Derniere modification: 1 juillet 1997                    --
--------------------------------------------------------------

function Recherche_Contigue (Dans : in Table;
                        Val_Cle : in Cle) return Positive is
  Long : Natural := Longueur (Dans);
begin                            -- implantation squentielle
  for K in 1..Long loop
    if not (La_Cle (Ieme (Dans, K)) < Val_Cle) then
      return K;
    end if;
  end loop;
  return Long + 1;
end Recherche_Contigue;
